module.exports = api => {
  // 添加项目依赖
  api.extendPackage({
    dependencies: {
      "element-ui": "^2.13.0",
    }
  })
  api.injectImports(api.entryFile, `import ElementUI from 'element-ui';`)
  api.injectImports(api.entryFile, `import 'element-ui/lib/theme-chalk/index.css';`)

  api.render({
    './src/App.vue': './templates/src/App.vue',
    './src/components/Demo.vue': './templates/src/components/Demo.vue',
  })

  // 钩子函数
  api.afterInvoke(() => {
    const { EOL } = require('os')
    const fs = require('fs')
    const contentMain = fs.readFileSync(api.resolve(api.entryFile), { encoding: 'utf-8' })
    const lines = contentMain.split(/\r?\n/g)

    const renderIndex = lines.findIndex(line => line.match(/new Vue/))
    lines[renderIndex-1] = `Vue.use(ElementUI)`

    fs.writeFileSync(api.resolve(api.entryFile), lines.join(EOL), { encoding: 'utf-8' })
  })
}
